changeset 59:2eb8cbc08070

Add a script that builds serf and subversion assuming all other deps are installed so that I can wipe and rebuild a little easier.
author Augie Fackler <durin42@gmail.com>
date Mon, 02 Mar 2009 15:01:30 -0600
parents 20834b97b814
children 87b2ccf6ec44
files unixSoft/otherbin/svn-bootstrap.sh
diffstat 1 files changed, 12 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
new file mode 100644
--- /dev/null
+++ b/unixSoft/otherbin/svn-bootstrap.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+echo 'fetching and building serf trunk'
+svn co http://serf.googlecode.com/svn/trunk serf || exit 1
+cd serf
+./serfmake --prefix=/opt/durin install || exit 3
+
+echo 'fetching and building svn trunk with swig-py'
+svn co http://svn.collab.net/repos/svn/trunk subversion || exit 4
+cd subversion
+./autogen.sh && ./configure --without-apxs --without-sasl \
+ --with-serf=/opt/durin --without-neon --prefix=/opt/durin || exit 5
+make -j 4 && make install && make swig-py && make install-swig-py || exit 6